{
  "type": "minecraft:crafting_shaped",
  "pattern": [
  	"P P",
    " C ",
    "P P"
  ],
  "key": {
  	"P": {
      "tag": "forge:gems/quartz"
    },
    "C": {
      "tag": "forge:chests/wooden"
    },
    "S": {
      "tag": "forge:plates/iron"
    }
  },
  "result": {
    "item": "toms_storage:ts.trim",
    "count": 2
  }
}